package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPMAIN_OIVPM01O {
    public @Getter @Builder.Default String FILLER8 = StringUtils
            .repeat(' ', 12);
    public @Getter @Builder.Default String FILLER9 = StringUtils.repeat(' ', 3);
    public @Getter @Builder.Default String DATEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER10 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TERMO = StringUtils.repeat(' ', 4);
    public @Getter @Builder.Default String FILLER11 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TIMEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER12 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String CODEO = StringUtils.repeat(' ', 4);
    public @Getter @Builder.Default String FILLER13 = StringUtils
            .repeat(' ', 3);
    public @Getter int IDENO;
    public @Getter @Builder.Default String FILLER14 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String MSGO = StringUtils.repeat(' ', 76);

    @Override
    public String toString() {
        return FILLER8 + FILLER9 + getDATEO() + FILLER10 + getTERMO()
                + FILLER11 + getTIMEO() + FILLER12 + getCODEO() + FILLER13
                + String.valueOf(getIDENO()) + FILLER14 + getMSGO();
    }
}
